//////////////////////////////////////////
// SplitterTest.cpp
//Copyright (c) 01/02/2003 by BCCSkelton
//////////////////////////////////////////
#include	"SplitterTest.h"
//CVSPLIT、CHSPLITクラスは標準としなかったので独立して呼び出します
#include	".\BCCSkelton\CVSPLIT.h"		//☆ここを下と交換してみてください
//#include	".\BCCSkelton\CHSPLIT.h"		//☆ここを上と交換してみてください
#include	"User.h"		//☆ユーザーヘッダーに外部変数としてコントロールが定義されています。
#include	"SplitterTestProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//２重起動防止
	if(!SplitterTest.IsOnlyOne()) {
		HWND hWnd = FindWindow("MainWnd", "SplitterTest");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//ウィンドウ登録 − Init(ClassName, hInstance, WndProc, "IDM_MAIN",
	//						（以下省略可）MAKEINTRESOURCE(IDI_ICON), IDC_ARROW, Brush)
	SplitterTest.Init("MainWnd", hInstance, SDIPROC, "IDM_MAIN", MAKEINTRESOURCE(IDI_ICON));

	//ウィンドウ作成と表示−Create(WindowTitle, (以下省略可）Style,
	//						ExStyle, hParent, hMenu, x, y, w, h)
	if(!SplitterTest.Create("SplitterTest"))
		return 0L;

	//メッセージループに入る
	return SplitterTest.Loop();
}
